org.apache.ode.jacob.soup

## Class CommSend

- java.lang.Object
- - org.apache.ode.jacob.soup.ExecutionQueueObject
  - - org.apache.ode.jacob.soup.Comm
    - - org.apache.ode.jacob.soup.CommSend

-     public class CommSend
      extends Comm

  Persistent store representation of a message (i.e. method application / channel write) waiting for a corresponding object (i.e. channel read). This structure consists of a label identifying the method that should be applied to the object once it is available, and the arguments that should be applied to said method.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CommSend()`
    `` | `CommSend(CommChannel chnl, java.lang.reflect.Method method, java.lang.Object[] args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object[]` | `getArgs()` Get the arguments for the method application.
    `java.lang.reflect.Method` | `getMethod()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.ode.jacob.soup.Comm

      `getChannel, getGroup, setChannel, setGroup`

    - ### Methods inherited from class org.apache.ode.jacob.soup.ExecutionQueueObject

      `equals, getDescription, getId, setDescription, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CommSend

          protected CommSend()

    - #### CommSend

          public CommSend(CommChannel chnl,
                  java.lang.reflect.Method method,
                  java.lang.Object[] args)

  - ### Method Detail

    - #### getMethod

          public java.lang.reflect.Method getMethod()

    - #### getArgs

          public java.lang.Object[] getArgs()

      Get the arguments for the method application.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Comm`